#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%global __python %{__python3}

%define rel 1

Summary:        KDE Frameworks 5 Tier 4 module for API documentation generation
Name:           kapidox
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## downstream patches
Patch1:         kapidox-5.75.0-pydeps.patch
Patch2:         kf5-kapidox-install.patch

BuildArch:      noarch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(python3)

BuildRequires:  python3-setuptools

%description
KDE Frameworks 5 Tier 4 module for API documentation generation.

%files
%license LICENSES/*.txt
%_kf5_bindir/*
%{python3_sitelib}/kapidox
%{python3_sitelib}/kapidox-%{version}-py%{python3_version}.egg-info

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%py3_build

%install	
%py3_install


%changelog
* Thu Feb 08 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039518
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952014
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947823
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941328
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935143
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922330
- New version 5.101.0

* Sun Nov 27 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1911938
- remove some unwanted pydeps

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911594
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900198
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887633
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880581
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871785
- New version 5.96.0

* Fri Jun 24 2022 papoteur <papoteur> 5.93.0-2.mga9
+ Revision: 1865856
- Mass Rebuild for dependencies

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853369
- New version 5.93.0
- Remove P1: does not seems needed anymore
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 5.88.0-2.mga9
+ Revision: 1787339
- rebuild for python-3.10

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754808
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749059
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747019
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735241
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723432
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714828
- New version 5.81.0

* Sat Mar 20 2021 daviddavid <daviddavid> 5.80.0-2.mga9
+ Revision: 1705553
- rebuild for python 3.9

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702006
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691097
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653311
- New version 5.76.0

* Sat Nov 21 2020 daviddavid <daviddavid> 5.75.0-2.mga8
+ Revision: 1648106
- omit optional python deps doxypypy, doxyqml

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633165
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625579
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612296
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603070
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592764
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581990
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566481
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556657
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546629
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486795
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466205
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457590
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450971
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444786
- New version 5.62.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.60.0-3.mga8
+ Revision: 1441690
- rebuild for python3.8

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424232
- switch to Python 3

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420049
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386914
- New version 5.57.0

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374541
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364516
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356639
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339195
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318942
- New version 5.51.0
- New version 5.50.0

* Thu Sep 20 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1279177
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247292
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229230
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192262
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182312
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161218
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140380
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123481
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088944
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074515
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072176
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058335
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050512
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045090
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041312
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021910
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014320
- New version 5.22.0

* Thu Apr 28 2016 daviddavid <daviddavid> 5.21.0-2.mga6
+ Revision: 1007153
- use new python macros

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999617
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986308
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942229
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921263
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912908
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909841
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900669
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899587
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898907
+ rebuild (emptylog)

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898745
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888147
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881529
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863000
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862670
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853777
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841552
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803339
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-4.mga5
+ Revision: 739316
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.1.0-3.mga5
+ Revision: 726585
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680926
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660410
- New version 5.1.0

* Mon Jul 07 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650519
- New version 5.0.0

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 642085
- New version 4.100.0

* Sat May 31 2014 pterjan <pterjan> 4.99.0-2.mga5
+ Revision: 628273
- Rebuild for new Python
+ neoclust <neoclust>
- New version 4.99.0
- New version 4.98.0

* Tue Mar 04 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599587
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597507
- imported package kapidox

